%define upstream_name    Net-Google-PicasaWeb
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Use Google Picasa Web services from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Prompt)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Role::Matcher)
BuildRequires: perl(Net::Google::AuthSub)
BuildRequires: perl(Test::Able)
BuildRequires: perl(Test::Able::Runner)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Twig)
BuildArch: noarch

%description
This defines some common tools available to many of the classes included
with the Net::Google::PicasaWeb manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README AUTHORS Changes LICENSE META.yml
%{_mandir}
%perl_vendorlib/*
/usr/bin/picasa
/usr/bin/picasa-get
/usr/bin/picasa-list


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.120.0-8pclos2017
- rebuild against updates

